Story Treatments
Update story treatment
Update a
PUT
/
api
/
v1
/
story-treatments
/
{id}
Update story treatment
curl --request PUT \
--url https://api.capedigital.co.ke/content/api/v1/story-treatments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.capedigital.co.ke/content/api/v1/story-treatments/{id}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.capedigital.co.ke/content/api/v1/story-treatments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Enter your JWT token in the format: Bearer
Path Parameters
A UUID string identifying this Story Treatment.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Previous
Delete story treatmentBase model view set providing standardized CRUD operations and error handling.
This view set enforces consistent response formats, error handling patterns,
and logging across all API endpoints. Subclasses must override the class
variables below.
Next
⌘I
Update story treatment
